import request from '@/utils/request'

// 查询点巡检工单明细项目信息;质检检查每个项目的质检结果详情列表
export function listInspectinstancedetailproject(query) {
  return request({
    url: '/dms/inspectinstancedetailproject/list',
    method: 'get',
    params: query
  })
}

// 查询点巡检工单明细项目信息;质检检查每个项目的质检结果详情详细
export function getInspectinstancedetailproject(instanceDetailProjectId) {
  return request({
    url: '/dms/inspectinstancedetailproject/' + instanceDetailProjectId,
    method: 'get'
  })
}

// 新增点巡检工单明细项目信息;质检检查每个项目的质检结果详情
export function addInspectinstancedetailproject(data) {
  return request({
    url: '/dms/inspectinstancedetailproject',
    method: 'post',
    data: data
  })
}

// 修改点巡检工单明细项目信息;质检检查每个项目的质检结果详情
export function updateInspectinstancedetailproject(data) {
  return request({
    url: '/dms/inspectinstancedetailproject',
    method: 'put',
    data: data
  })
}

// 删除点巡检工单明细项目信息;质检检查每个项目的质检结果详情
export function delInspectinstancedetailproject(instanceDetailProjectId) {
  return request({
    url: '/dms/inspectinstancedetailproject/' + instanceDetailProjectId,
    method: 'delete'
  })
}

//根据计划id查询计划明细列表
export function selectDmsInspectInstanceDetailProjectByInspectInstanceId(inspectInstanceId,lineStep) {
  return request({
    url:`/dms/inspectinstancedetailproject/selectDmsInspectInstanceDetailProjectByInspectInstanceId/${inspectInstanceId}/${lineStep}`,
    method:'get'
  })
}
